// 定义模板 表头
export function getTableDefineTemplate(tableKey) {
    return `

insert into TableDefine (TableKey, TableType, TableName, TabelMenu, Remark) values ('${tableKey}', 2, '', '', '');`
}

// 定义表头 具体某一项
export function getTableColumnsConfigTemplate({tableKey, columnField, columnTitle, columnWidth, orderIndex, IsShow, alignType}) {
    return `
insert into TableColumnConfig (AutoID, TableKey, ColumnField, ColumnTitle, ColumnWidth, OrderIndex, IsShow, AlignType, FormatterType, FormatterString, Remark, NeedSummary, SummaryType, GroupName)
values (seq_TableColumnConfig.Nextval, '${tableKey}', '${columnField}', '${columnTitle}', '${columnWidth}', ${orderIndex}, ${IsShow}, '${alignType}', '', '', '${columnField}', 0, 0, '');`
}